---
title: "List pool accounts"
description: "Returns a paginated list of pool accounts for the company in the `companyId` header. Supports filtering by status, creator, manager, and creation time range."
source: https://developers.qashio.com/v1/reference/get-pool-accounts/
---

# List pool accounts

`GET /pool-accounts`

Requires a Bearer access token.

Returns a paginated list of pool accounts for the company in the `companyId` header. Supports filtering by status, creator, manager, and creation time range.

### Query parameters

| Name | Type | Required | Description |
| --- | --- | --- | --- |
| `page` | number | no |  |
| `pageSize` | number | no |  |
| `status` | string | no | One of `all`, `active`, `inactive`, `terminated`. |
| `createdTimeTo` | string | no |  |
| `createdTimeFrom` | string | no |  |
| `createdBy` | string | no |  |
| `managerId` | string | no |  |

### Example request

```bash
curl -X GET 'https://erp.qashio.com/pool-accounts?page=1&pageSize=20' \
  -H 'Accept: application/json' \
  -H 'Authorization: Bearer <access_token>'
```

### Example response (200)

```json
{
  "page": 1,
  "totalPages": 14,
  "total": 272,
  "data": [
    {
      "id": "ACcsifpt46hpqrh3",
      "accountName": "Test Pool Account",
      "status": "Active",
      "currency": "AED",
      "topupType": "manual",
      "allowedMaxBalance": 10000,
      "lowBalanceNotificationActive": false,
      "lowBalanceNotificationAmount": 500,
      "companyName": "Qashio, Inc.",
      "createdAt": "2025-07-17T02:25:03.995Z",
      "createdBy": {
        "userId": "UP95egoevjjmct7u",
        "name": "Zahid Automation"
      },
      "accountManagers": [
        {
          "userId": null,
          "name": null,
          "email": null
        }
      ]
    }
  ]
}
```

### Errors

- `400` Bad Request
